Project

General

Profile

Refactor #15105

Remove list of supported progress bar versions

Added by Dominic Cleal about 6 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Difficulty:
Triaged:
No
Bugzilla link:
Fixed in Releases:
Found in Releases:

Description

The progress bar monkey patches still seem to be compatible with Puppet 4.x, so they should be enabled to load the progress bar.


Related issues

Has duplicate Installer - Bug #15122: Installer percentage indicator appears not to work with Puppet 4+Duplicate2016-05-22

Associated revisions

Revision 1f617ca2 (diff)
Added by Dominic Cleal about 6 years ago

fixes #15105 - replace list of Puppet versions with checks (#153)

The list of Puppet versions supporting the progress bar has been
replaced with more defensive checks when monkey patching Puppet.

History

#1 Updated by Dominic Cleal about 6 years ago

  • Tracker changed from Feature to Refactor
  • Subject changed from Enable progress bar on Puppet 4.x to Remove list of supported progress bar versions

Since 2.6 through to 4.5 seem to work with the progress bar code, I'm going to remove the list of supported Puppet versions and make the code more defensive to avoid needing to update the list in future.

#2 Updated by The Foreman Bot about 6 years ago

  • Status changed from Assigned to Ready For Testing
  • Pull request https://github.com/theforeman/kafo/pull/153 added

#3 Updated by Anonymous about 6 years ago

  • Has duplicate Bug #15122: Installer percentage indicator appears not to work with Puppet 4+ added

#4 Updated by Dominic Cleal about 6 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF